Bug 239037 - clamav-milter should work with postfix not just sendmail
clamav-milter should work with postfix not just sendmail
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: clamav (Show other bugs)
13
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-04 11:43 EDT by Trever Adams
Modified: 2011-03-04 19:56 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-04 19:56:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trever Adams 2007-05-04 11:43:14 EDT
Description of problem:
Currently clamav-milter appears to only work with sendmail and requires it. This
is not good as postfix-2.3.x supports sendmail's milter protocol.

I am not sure if only one package can support both, or if there needs to be a
clamav-milter-sendmail and clamav-milter-postfix and clamav-milter-common, but
the problem does need to be fixed. a URL with a possible set of fixes is
attached below.

Version-Release number of selected component (if applicable):
0.90.2-1.fc7

FIX:
http://wiki.linuxquestions.org/wiki/Postfix_with_clamav-milter
Comment 1 Nigel Horne 2007-06-09 16:35:38 EDT
I don't use postfix, hence the lack of support for it.

I've heard that it is possible to run clamav-milter with postfix (see
.../clamav-milter/INSTALL), but I can't verify that.
Comment 2 Trever Adams 2007-06-09 17:10:01 EDT
The problem isn't that it doesn't autoconfigure for postfix, though it would be
nice, the problem is that it requires sendmail.
Comment 3 Gabriele Turchi 2007-11-18 08:18:12 EST
May I suggest to build an additional and alternative package for clamav-milter,
tuned for postfix (at least without the sendmail requirement and with the proper
permission for the unix socket directory)?
Comment 4 Enrico Scholz 2008-01-01 12:45:32 EST
-milter subpackage has been splitted into -core and -sendmail parts in the devel
branch. 

I don't know how to implement a -postfix variant (shall socket be at
/var/spool/postfix/... or at /var/run/clamav-milter?)
Comment 5 Bug Zapper 2008-05-13 22:51:35 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Trever Adams 2009-04-06 13:53:59 EDT
I am not sure where the socket should go. I have somewhat lost interested in the clamav-milter and instead use amavisd to do the work. I would prefer a cleaner solution, but I do not know enough about milters to know how it should work. I am sorry I failed to respond a year ago.
Comment 7 Bug Zapper 2009-06-09 05:14:28 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-04-27 07:42:56 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Trever Adams 2010-05-03 14:48:57 EDT
As much as I would love to have this functionality, I have found a way to do what I want using another package. It also appears that the work mentioned here was never committed. Close this bug if that is what is appropriate.
Comment 10 Nick Bebout 2011-03-04 19:56:38 EST
It works for me.  I'm using clamav-milter with postfix on Fedora 14.  I set up clamav-milter to use a inet socket, instead of a unix file socket.

Note You need to log in before you can comment on or make changes to this bug.